# vehicle_gui.h File Reference

`#include "window_gui.h"`
`#include "vehicle_type.h"`

Go to the source code of this file.

## Defines
#define | PERIODIC_RESORT_DAYS 10
## Enumerations
enum | VehicleViewWindowWidgets { VVW_WIDGET_CLOSEBOX = 0, VVW_WIDGET_CAPTION, VVW_WIDGET_STICKY, VVW_WIDGET_PANEL, VVW_WIDGET_VIEWPORT, VVW_WIDGET_START_STOP_VEH, VVW_WIDGET_CENTER_MAIN_VIEH, VVW_WIDGET_GOTO_DEPOT, VVW_WIDGET_REFIT_VEH, VVW_WIDGET_SHOW_ORDERS, VVW_WIDGET_SHOW_DETAILS, VVW_WIDGET_CLONE_VEH, VVW_WIDGET_EMPTY_BOTTOM_RIGHT, VVW_WIDGET_RESIZE, VVW_WIDGET_TURN_AROUND, VVW_WIDGET_FORCE_PROCEED }
| Constants of vehicle view widget indices.
enum | { PLY_WND_PRC__OFFSET_TOP_WIDGET = 26, PLY_WND_PRC__SIZE_OF_ROW_TINY = 13, PLY_WND_PRC__SIZE_OF_ROW_SMALL = 26, PLY_WND_PRC__SIZE_OF_ROW_BIG = 36, PLY_WND_PRC__SIZE_OF_ROW_BIG2 = 39 }
| Start of functions regarding vehicle list windows.
enum | { VLW_STANDARD = 0 << 8, VLW_SHARED_ORDERS = 1 << 8, VLW_STATION_LIST = 2 << 8, VLW_DEPOT_LIST = 3 << 8, VLW_GROUP_LIST = 4 << 8, VLW_MASK = 0x700 }
| Vehicle List Window type flags.
## Functions
void | DrawVehicleProfitButton (const Vehicle *v, int x, int y)
| draw the vehicle profit button in the vehicle list window.
void | ShowVehicleRefitWindow (const Vehicle *v, VehicleOrderID order)
| Show the refit window for a vehicle.
void | InitializeVehiclesGuiList ()
void | RebuildVehicleLists ()
void | ResortVehicleLists ()
void | SortVehicleList (vehiclelist_d *vl)
void | BuildVehicleList (vehiclelist_d *vl, PlayerID owner, uint16 index, uint16 window_type)
static bool | ValidVLWFlags (uint16 flags)
void | PlayerVehWndProc (Window *w, WindowEvent *e)
int | DrawVehiclePurchaseInfo (int x, int y, uint w, EngineID engine_number)
| Draw the purchase info details of a vehicle at a given location.
void | DrawTrainImage (const Vehicle *v, int x, int y, VehicleID selection, int count, int skip)
void | DrawRoadVehImage (const Vehicle *v, int x, int y, VehicleID selection, int count)
void | DrawShipImage (const Vehicle *v, int x, int y, VehicleID selection)
void | DrawAircraftImage (const Vehicle *v, int x, int y, VehicleID selection)
void | ShowBuildVehicleWindow (TileIndex tile, VehicleType type)
void | ChangeVehicleViewWindow (const Vehicle *from_v, const Vehicle *to_v)
| Assigns an already open vehicle window to a new vehicle.
uint | ShowAdditionalText (int x, int y, uint w, EngineID engine)
| Display additional text from NewGRF in the purchase information window.
uint | ShowRefitOptionsList (int x, int y, uint w, EngineID engine)
| Display list of cargo types of the engine, for the purchase information window.
void | ShowVehicleListWindow (const Vehicle *v)
void | ShowVehicleListWindow (PlayerID player, VehicleType vehicle_type)
void | ShowVehicleListWindow (PlayerID player, VehicleType vehicle_type, StationID station)
void | ShowVehicleListWindow (PlayerID player, VehicleType vehicle_type, TileIndex depot_tile)
void | DrawSmallOrderList (const Vehicle *v, int x, int y)
void | DrawVehicleImage (const Vehicle *v, int x, int y, VehicleID selection, int count, int skip)
static uint | GetVehicleListHeight (VehicleType type)
void | ShowVehicleViewWindow (const Vehicle *v)
| Shows the vehicle view window of the given vehicle.
## Variables
const StringID | _vehicle_sort_listing []

## Detailed Description

Definition in file vehicle_gui.h.

## Function Documentation

void ChangeVehicleViewWindow | ( | const Vehicle * | from_v,
|  | const Vehicle * | to_v |
| ) |  |  |

Assigns an already open vehicle window to a new vehicle.

Assigns an already open vehicle window to a new vehicle. If the vehicle got any sub window open (orders and so on) it will change owner too.

Parameters:

  | *from_v | the current owner of the window
  | *to_v | the new owner of the window

Definition at line 706 of file vehicle_gui.cpp.

References SetWindowDirty().

void DrawVehicleProfitButton | ( | const Vehicle * | v,
|  | int | x,
|  | int | y |
| ) |  |  |

draw the vehicle profit button in the vehicle list window.

Definition at line 174 of file vehicle_gui.cpp.

Referenced by GroupWndProc().

int DrawVehiclePurchaseInfo | ( | int | x,
|  | int | y,
|  | uint | w,
|  | EngineID | engine_number |
| ) |  |  |

Draw the purchase info details of a vehicle at a given location.

Parameters:

  | x,y | location where to draw the info
  | w | how wide are the text allowed to be (size of widget/window to Draw in)
  | engine_number | the engine of which to draw the info of

Returns:
  y after drawing all the text

Definition at line 723 of file build_vehicle_gui.cpp.

References ConvertDateToYMD(), RAILVEH_WAGON, ShowAdditionalText(), and ShowRefitOptionsList().

void ShowVehicleRefitWindow | ( | const Vehicle * | v,
|  | VehicleOrderID | order |
| ) |  |  |

Show the refit window for a vehicle.

Parameters:

  | *v | The vehicle to show the refit window for
  | order | of the vehicle ( ? )

Definition at line 437 of file vehicle_gui.cpp.

References AllocateWindowDescFront().

Referenced by OrderClick_Refit(), and VehicleViewWndProc().

void ShowVehicleViewWindow | ( | const Vehicle * | v | ) |

Shows the vehicle view window of the given vehicle.

Definition at line 1719 of file vehicle_gui.cpp.

References AllocateWindowDescFront().

Referenced by CcBuildAircraft(), CcCloneVehicle(), CmdSellRailWagon(), and GroupWndProc().